{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
  <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
  <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
  <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
  <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
  crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
  crossorigin="anonymous"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
  crossorigin="anonymous"></script>

  <title> Ceritanya Tokopedia </title>
  <link rel="stylesheet" href="{% static 'login_app/style.css' %}">
  {% block meta %}
  {% endblock meta %}
</head>

<body>
  <!-- navigation -->
  <nav class="navbar navbar-expand-md sticky-top">
    <button class="navbar-toggler" data-toggle="collapse"
    data-target="#navbarMenu" style="background-color:white;">
        <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id = "navbarMenu">
            <ul class="navbar-nav ml-auto">
                {% if user.is_authenticated %}
                <li class="nav-item nav-link" style="color:white;">
                  Hai, {{ request.user.username }}
                </li>  
                <li class="nav-item">
                  <a id = "logout" class="nav-link" href="#">Logout</a>
                </li> 
                {% else %}
                <li class="nav-item">
                  <a class="nav-link" id="login-button" href="#">Login</a>
                </li>  
                {% endif %}
            </ul>
        </div>        
    </div>
</nav>

  {% block content %}

  {% endblock content %}
  <script>
    // untuk logout
    $("#logout").click(function() {
    $.ajax({
        url:"",
        type: "GET",
        data: {
            logout: $("#logout").val(),
        }
      })
    });
  </script>
 
  </body>
</html>
